
QGIS Application - Bug report #1870

segfault when clicking on Update for a GRASS table

2009-08-12 01:19 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11930

Description

1. open a GRASS mapset

2. load a vector

3. start editing

4. click on the table icon

5. click on a feature: the table pops up

6. click quickly twice on the Update button of the table: if the second click happens before the update is completed, QGIS segfaults

7. the edited vector is invalid, and sometimes rebuilding it is not sufficient to get your data back (this has been verified with SQLite db

backend)

Associated revisions

Revision 0466bcab - 2009-08-19 06:18 PM - Jürgen Fischer

fix #1870

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11441 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision cf8d97c3 - 2009-08-19 06:18 PM - Jürgen Fischer

fix #1870

git-svn-id: http://svn.osgeo.org/qgis/trunk@11441 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 0addae5b - 2018-05-21 10:40 PM - Even Rouault

[WFS provider] Fix excessive memory consumption on big layers (refs #1870)

There was a pseudo memory leak in qgsgml.cpp

And the WFS downloader could also have to process big replies, causing a

lot of features to be instanciated at once.
Was seen on the 'portugal_addresses' layer of http://www.naturalgis.pt/cgi-bin/opendata/mapserv?

History

#1 - 2009-08-12 01:28 AM - Giovanni Manghi

Confirmed on Ubuntu 9.04, grass6.4rc4, qgis latest revision

#2 - 2009-08-19 09:18 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:cf8d97c3 (SVN r11442)
